## ksysguard 5.5.5

=== CMakeLists.txt ===
project(ksysguard)
set(PROJECT_VERSION "5.5.5")
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

set(KSYSGUARD_VERSION 4.98.0)
set(KSYSGUARD_STRING_VERSION "${KSYSGUARD_VERSION}")

find_package(ECM 1.5.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMAddTests)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)
find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    I18n
    ItemViews
    NewStuff
    Config
    IconThemes
    KDELibs4Support #for SensorDisplay.cpp
)

find_package(KF5 REQUIRED COMPONENTS SysGuard)

find_package(Sensors)
set_package_properties(Sensors PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Allows to show sensor information")

include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)

find_package(Qt5WebKitWidgets CONFIG)
set_package_properties(Qt5WebKitWidgets PROPERTIES
                       URL "git://gitorious.org/qt/qtwebkit.git"
                       DESCRIPTION "Qt Webkit module (web browsing engine)"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )
if(Qt5WebKitWidgets_FOUND)
    add_subdirectory( gui )
endif()

add_subdirectory( doc )
add_subdirectory( pics )
add_subdirectory( example )

add_subdirectory( ksysguardd )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR ksysguard)

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR ksysguard)

=== doc/pt_BR/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR ksysguard)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR ksysguard)

## ksysguard 5.2.2

=== debian/changelog ===
ksysguard (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:24:06 -0700

ksysguard (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:41:32 -0800

ksysguard (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:54:04 +0100

ksysguard (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:31:14 +0100

ksysguard (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:21:45 +0100

ksysguard (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:45:25 +0100

ksysguard (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Lintian override missing manpages and kdeinit warnings
    + manpages: we don't care
    + kdeinit: by design not a proper shared library

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:48:40 +0200

ksysguard (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:16:31 -0700

ksysguard (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:42:40 +0200

ksysguard (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:20:09 +0200

ksysguard (4:4.97.0a-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.
  * Add sensor support

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:25:27 +0100

=== debian/control ===
Source: ksysguard
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev ( >= 5.2.0),
               libkf5itemviews-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5newstuff-dev ( >= 5.2.0),
               libkf5sysguard-dev (>= 5.0.0),
               libsensors4-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               xauth,
               xvfb
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/unstable/plasma/ksysguard

Package: ksysguardd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System Guard Daemon
 System Guard Daemon can be installed on a remote system so that the KDE
 System Guard can connect to and monitor it.
 .
 This package is part of the KDE base workspace module.

Package: ksysguard
Architecture: any
Depends: ksysguard-data (= ${source:Version}),
         ksysguardd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: process monitor and system statistics
 System Guard allows you to monitor various statistics about your system.
 .
 In addition to monitoring the local system, it can connect to remote systems
 running the System Guard Daemon, which is in the 'ksysguardd' package.
 .
 This package is part of the KDE base workspace module.

Package: ksysguard-data
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 Currently the daemon has been ported to Linux, FreeBSD, Irix, NetBSD,
 OpenBSD, Solaris and Tru64 with varying degrees of completion.
 .
 This package contains the locale files

Package: ksysguard-dbg
Section: debug
Architecture: any
Recommends: libqt5-dbg
Depends: ksysguard (= ${binary:Version}), ${misc:Depends}
Description: library for monitoring your system - debug info
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 Currently the daemon has been ported to Linux, FreeBSD, Irix, NetBSD,
 OpenBSD, Solaris and Tru64 with varying degrees of completion.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=ksysguard-dbg

override_dh_auto_test:	
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/ksysguard-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/ksysguard-(.*)\.tar\.xz

## ksysguard 5.4.2

=== debian/changelog ===
ksysguard (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:55:26 +0100

ksysguard (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:17:31 +0100

ksysguard (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:51:18 +0100

ksysguard (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:15:19 +0200

ksysguard (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:29:00 +0000

ksysguard (4:5.3.1-0ubuntu2) wily; urgency=medium

  * Rebuild against libkf5sysguard-dev (>= 5.3.0)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Jun 2015 15:06:35 +0200

ksysguard (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:32:39 +0200

ksysguard (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:56:17 +0200

ksysguard (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:45 +0100

ksysguard (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 11:00:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,29 @@
 Source: ksysguard
-Priority: extra
+Section: kde
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.3.0~),
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 1.5.0~),
+               kinit-dev,
                libkf5config-dev (>= 5.2.0),
                libkf5coreaddons-dev (>= 5.2.0),
                libkf5i18n-dev (>= 5.2.0),
-               libkf5iconthemes-dev ( >= 5.2.0),
+               libkf5iconthemes-dev (>= 5.2.0),
                libkf5itemviews-dev (>= 5.2.0),
                libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5newstuff-dev ( >= 5.2.0),
+               libkf5newstuff-dev (>= 5.2.0),
                libkf5sysguard-dev (>= 5.0.0),
                libsensors4-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
+               qtbase5-dev (>= 5.4.0~),
                xauth,
                xvfb
-Standards-Version: 3.9.5
-Section: kde
-Homepage: https://projects.kde.org/unstable/plasma/ksysguard
+Standards-Version: 3.9.6
+Homepage: https://projects.kde.org/projects/kde/workspace/ksysguard
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/ksysguard.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/ksysguard.git
 
 Package: ksysguardd
 Architecture: any
@@ -44,7 +49,6 @@
  This package is part of the KDE base workspace module.
 
 Package: ksysguard-data
-Section: libs
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for monitoring your system - shared library
@@ -57,9 +61,10 @@
 
 Package: ksysguard-dbg
 Section: debug
+Priority: extra
 Architecture: any
+Depends: ksysguard (= ${binary:Version}), ${misc:Depends}
 Recommends: libqt5-dbg
-Depends: ksysguard (= ${binary:Version}), ${misc:Depends}
 Description: library for monitoring your system - debug info
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=ksysguard-dbg
 
-override_dh_auto_test:	
+override_dh_auto_test:
 	xvfb-run -a dh_auto_test

## ksysguard 5.5.5

=== debian/changelog ===
ksysguard (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:42:58 -0700

ksysguard (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:23:30 +0100

ksysguard (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:32:38 +0100

ksysguard (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:57 +0100

ksysguard (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:13 +0200

ksysguard (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:23 +0200

ksysguard (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 01:13:20 +0200

ksysguard (4:5.3.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:08:00 +0200

ksysguard (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 11:24:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.5.0~),
-               kinit-dev,
-               libkf5config-dev (>= 5.2.0),
-               libkf5coreaddons-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5iconthemes-dev (>= 5.2.0),
-               libkf5itemviews-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5newstuff-dev (>= 5.2.0),
-               libkf5sysguard-dev (>= 5.0.0),
+               extra-cmake-modules (>= 5.18.0~),
+               kinit-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5kdelibs4support-dev (>= 5.18.0~),
+               libkf5newstuff-dev (>= 5.18.0~),
+               libkf5sysguard-dev (>= 4:5.5.5~),
                libsensors4-dev,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4.0~),
                xauth,
                xvfb
@@ -51,6 +51,8 @@
 Package: ksysguard-data
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: library for monitoring your system - shared library
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.
@@ -64,7 +66,7 @@
 Priority: extra
 Architecture: any
 Depends: ksysguard (= ${binary:Version}), ${misc:Depends}
-Recommends: libqt5-dbg
+Recommends: qtbase5-dbg
 Description: library for monitoring your system - debug info
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=ksysguard-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/ksysguard-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/ksysguard-([\d.]+)\.tar\.xz

## ksysguard 5.7.5

=== debian/changelog ===
ksysguard (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:27:21 -0500

ksysguard (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:05:53 +0000

ksysguard (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:46:58 +0100

ksysguard (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Fixing copyright file
  * Adding lintian override
    - package-must-activate-ldconfig-trigger usr/lib/*/libkdeinit5_ksysguard.so

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:19:37 -0700

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kinit-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5itemviews-dev (>= 5.18.0~),
-               libkf5kdelibs4support-dev (>= 5.18.0~),
-               libkf5newstuff-dev (>= 5.18.0~),
-               libkf5sysguard-dev (>= 4:5.5.5~),
+               extra-cmake-modules (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5itemviews-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5sysguard-dev (>= 4:5.7.5~),
                libsensors4-dev,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4.0~),
+               qtbase5-dev (>= 5.6.1~),
                xauth,
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/ksysguard
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/ksysguard.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/ksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksysguard
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksysguard
 
 Package: ksysguardd
 Architecture: any

## ksysguard 5.8.6

=== CMakeLists.txt ===
project(ksysguard)
set(PROJECT_VERSION "5.8.6")
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

set(KSYSGUARD_VERSION 4.98.0)
set(KSYSGUARD_STRING_VERSION "${KSYSGUARD_VERSION}")

find_package(ECM 1.5.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)
find_package(KF5 REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    DocTools
    I18n
    IconThemes
    Init
    ItemViews
    KIO
    NewStuff
    Notifications
    WindowSystem
)

find_package(KF5 REQUIRED COMPONENTS SysGuard)

find_package(Sensors)
set_package_properties(Sensors PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Allows to show sensor information")

include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)

add_subdirectory( gui )

add_subdirectory( doc )
add_subdirectory( pics )
add_subdirectory( example )

add_subdirectory( ksysguardd )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
ksysguard (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Mar 2017 09:01:42 +0200

ksysguard (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:17 +0100

ksysguard (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:34 +0100

ksysguard (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:26:37 +0200

ksysguard (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:55 +0200

ksysguard (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:08:41 +0200

ksysguard (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 00:12:12 +0200

ksysguard (4:5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Jul 2016 08:14:11 +0200

ksysguard (4:5.6.5-1) unstable; urgency=medium

  * Add new libkdeinit5_ksysguard lintian-override

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:55:20 +0200

ksysguard (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:47:37 +0200

ksysguard (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:05 +0100

=== debian/control ===
Source: ksysguard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.5.0~),
               libkf5doctools-dev,
               kinit-dev,
               libkf5kio-dev,
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5itemviews-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5newstuff-dev (>= 5.2.0),
               libkf5notifications-dev,
               libkf5sysguard-dev (>= 5.0.0),
               libkf5windowsystem-dev,
               libsensors4-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/ksysguard
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/ksysguard.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/ksysguard.git

Package: ksysguardd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System Guard Daemon
 System Guard Daemon can be installed on a remote system so that the KDE
 System Guard can connect to and monitor it.
 .
 This package is part of the KDE base workspace module.

Package: ksysguard
Architecture: any
Depends: ksysguard-data (= ${source:Version}),
         ksysguardd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: process monitor and system statistics
 System Guard allows you to monitor various statistics about your system.
 .
 In addition to monitoring the local system, it can connect to remote systems
 running the System Guard Daemon, which is in the 'ksysguardd' package.
 .
 This package is part of the KDE base workspace module.

Package: ksysguard-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 Currently the daemon has been ported to Linux, FreeBSD, Irix, NetBSD,
 OpenBSD, Solaris and Tru64 with varying degrees of completion.
 .
 This package contains the locale files

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/ksysguard-([\d.]+)\.tar\.xz

## ksysguard 5.9.4

=== debian/changelog ===
ksysguard (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 20:00:20 +0000

ksysguard (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:54:14 +0000

ksysguard (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:07:21 +0000

ksysguard (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:22:14 +0000

ksysguard (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:31 +0000

ksysguard (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:52 +0000

ksysguard (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)
  * Merge from Debian

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:56:00 +0000

## ksysguard 5.9.5

=== debian/changelog ===
ksysguard (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,30 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.5.0~),
-               libkf5doctools-dev,
-               kinit-dev,
-               libkf5kio-dev,
-               libkf5config-dev (>= 5.2.0),
-               libkf5coreaddons-dev (>= 5.2.0),
-               libkf5dbusaddons-dev,
-               libkf5doctools-dev,
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5iconthemes-dev (>= 5.2.0),
-               libkf5itemviews-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5newstuff-dev (>= 5.2.0),
-               libkf5notifications-dev,
-               libkf5sysguard-dev (>= 5.0.0),
-               libkf5windowsystem-dev,
-               libsensors4-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5itemviews-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5sysguard-dev (>= 4:5.9.4~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libsensors4-dev (>= 5.27.0),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4.0~),
+               qtbase5-dev (>= 5.6.1~),
                xauth,
                xvfb
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/ksysguard
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/ksysguard.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/ksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksysguard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksysguard
 
 Package: ksysguardd
 Architecture: any

## ksysguard 5.10.5

=== debian/changelog ===
ksysguard (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:41:01 +0100

ksysguard (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:39:06 +0100

ksysguard (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:39 +0100

ksysguard (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:14:12 +0100

ksysguard (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:51 +0100

ksysguard (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:51:12 +0100

ksysguard (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:34:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5sysguard-dev (>= 4:5.9.4~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5doctools-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5iconthemes-dev (>= 5.36.0~),
+               libkf5itemviews-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5newstuff-dev (>= 5.36.0~),
+               libkf5notifications-dev (>= 5.36.0~),
+               libkf5sysguard-dev (>= 4:5.10.5~),
+               libkf5windowsystem-dev (>= 5.36.0~),
                libsensors4-dev (>= 5.27.0),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),

## ksysguard 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
 project(ksysguard)
-set(PROJECT_VERSION "5.8.6")
+set(PROJECT_VERSION "5.12.4")
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.4.0")
 
 set(KSYSGUARD_VERSION 4.98.0)
 set(KSYSGUARD_STRING_VERSION "${KSYSGUARD_VERSION}")
+
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.42.0")
 
 find_package(ECM 1.5.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -21,7 +23,7 @@
     Core
     Widgets
 )
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Config
     CoreAddons
     DBusAddons
@@ -59,3 +61,8 @@
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR ksysguard)

=== gui/CMakeLists.txt ===
include_directories(
   SensorDisplayLib/
)


########### next target ###############

add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard\")

set(libsensordisplays_SRCS
   	SensorDisplayLib/SensorDisplay.cpp
   	SensorDisplayLib/BarGraph.cpp
   	SensorDisplayLib/DancingBars.cpp
   	SensorDisplayLib/DancingBarsSettings.cpp
   	SensorDisplayLib/DummyDisplay.cpp
   	SensorDisplayLib/FancyPlotter.cpp
   	SensorDisplayLib/FancyPlotterSettings.cpp
   	SensorDisplayLib/ListView.cpp
   	SensorDisplayLib/LogFile.cpp
   	SensorDisplayLib/MultiMeter.cpp
   	SensorDisplayLib/MultiMeterSettings.cpp
   	SensorDisplayLib/ProcessController.cpp
   	SensorDisplayLib/SensorLogger.cpp
   	SensorDisplayLib/SensorLoggerDlg.cpp
   	SensorDisplayLib/SensorLoggerSettings.cpp
   	SensorDisplayLib/SensorModel.cpp
   	SensorDisplayLib/ListViewSettings.cpp
#   	SensorDisplayLib/modeltest.cpp
	)

ki18n_wrap_ui( libsensordisplays_SRCS
   SensorDisplayLib/ListViewSettingsWidget.ui
   SensorDisplayLib/LogFileSettings.ui
   SensorDisplayLib/MultiMeterSettingsWidget.ui
   SensorDisplayLib/SensorLoggerDlgWidget.ui
   SensorDisplayLib/SensorLoggerSettingsWidget.ui
)

set(ksysguard_KDEINIT_SRCS ${libsensordisplays_SRCS}
   ksortfilterproxymodel.cpp
   SensorBrowser.cpp
   WorkSheet.cpp
   WorkSheetSettings.cpp
   Workspace.cpp
   HostConnector.cpp
   StyleEngine.cpp
   ksysguard.cpp )

kf5_add_kdeinit_executable(ksysguard ${ksysguard_KDEINIT_SRCS})
target_compile_definitions(kdeinit_ksysguard PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kdeinit_ksysguard
    KF5::ProcessUi
    KF5::SignalPlotter
    KF5::DBusAddons
    KF5::ItemViews
    KF5::KIOWidgets
    KF5::NewStuff
    KF5::Notifications
    KF5::SysGuard
    KF5::I18n
    KF5::IconThemes
    KF5::WindowSystem)

install(TARGETS kdeinit_ksysguard ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS ksysguard         ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS org.kde.ksysguard.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES ProcessTable.sgrd SystemLoad2.sgrd DESTINATION  ${DATA_INSTALL_DIR}/ksysguard )
install( FILES ksysguardui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/ksysguard )
install( FILES ksysguard.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== ksysguardd/GNU/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../CContLib ${CMAKE_CURRENT_SOURCE_DIR}/../)

add_library(libksysguardd STATIC
            dummy.cpp)

=== debian/changelog ===
ksysguard (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:21 +0100

ksysguard (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:15 +0000

ksysguard (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:50 +0000

ksysguard (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:53 +0000

ksysguard (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:20 +0000

ksysguard (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:02 +0000

ksysguard (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:15:09 -0600

ksysguard (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:30 +0000

=== debian/control ===
Source: ksysguard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               kinit-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5itemviews-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5sysguard-dev (>= 4:5.12.4~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libsensors4-dev (>= 5.27.0),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/ksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksysguard

Package: ksysguard
Architecture: any
Depends: ksysguard-data (= ${source:Version}),
         ksysguardd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: process monitor and system statistics
 System Guard allows you to monitor various statistics about your system.
 .
 In addition to monitoring the local system, it can connect to remote systems
 running the System Guard Daemon, which is in the 'ksysguardd' package.
 .
 This package is part of the KDE base workspace module.

Package: ksysguard-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 Currently the daemon has been ported to Linux, FreeBSD, Irix, NetBSD,
 OpenBSD, Solaris and Tru64 with varying degrees of completion.
 .
 This package contains the locale files

Package: ksysguardd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System Guard Daemon
 System Guard Daemon can be installed on a remote system so that the KDE
 System Guard can connect to and monitor it.
 .
 This package is part of the KDE base workspace module.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=ksysguard-dbg
+	$(overridden_command) --dbgsym-migration='ksysguard-dbg (<= 4:5.5.5-1~~)'
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test

## ksysguard 5.12.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(ksysguard)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.9")
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 set(KSYSGUARD_VERSION 4.98.0)

=== ksysguardd/FreeBSD/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/../CContLib ${CMAKE_CURRENT_SOURCE_DIR}/../ )

add_library(libksysguardd STATIC
            acpi.c
            apm.c
            cpuinfo.c
            diskstat.c
            loadavg.c
            logfile.c
            Memory.c
            netdev.c
            ProcessList.c
            stat.c
            uptime.c)

=== debian/changelog ===
ksysguard (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Sep 2019 10:41:18 +0100

ksysguard (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:30 +0100

ksysguard (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:31 +0100

ksysguard (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:00 +0100

ksysguard (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:09 +0100

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
                libkf5kio-dev (>= 5.42.0~),
                libkf5newstuff-dev (>= 5.42.0~),
                libkf5notifications-dev (>= 5.42.0~),
-               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5sysguard-dev (>= 4:5.12.8~),
                libkf5windowsystem-dev (>= 5.42.0~),
                libsensors4-dev (>= 5.27.0),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/ksysguard
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksysguard
